<?php

/**************    Include cabecera  ***********************************/
require_once dirname(__DIR__) . '/../index_ajax.php';

// Primer paso, se pide localizador
if (!isset($_POST['localizador'])) {

    // PHP con los textos estáticos de la plantilla
    require_once DIRLANGUAGESTRINGS . 'anular/primer_paso_api.php';

    $DIRCSS       = DIRCSS;
    $DIRJS        = DIRJ;
    $DIRJRESERVAS = DIRJRESERVAS;
    $LANGJS       = $language->getSessionLang();

    // Paso de volver
    if (isset($_POST['localizadorVolver'])) {
        $LOCALIZADOR = $_POST['localizadorVolver'];
    }

    require_once DIRLANGUAGETEMPLATES . "anular/primer_paso.ctp";

}
// Segundo paso, se pide fecha
else {

    // PHP con los textos estáticos de la plantilla
    require_once DIRLANGUAGESTRINGS . 'anular/segundo_paso_api.php';

    $lang                   = (isset($sesion_lang) ? $sesion_lang : 'es_ES');
    $translated_form_action = $language->getFormActionTranslation('anular/segundo_paso.tpl', true);
    $form_action            = isset($translated_form_action) ? $translated_form_action : 'tusvisitas/?anular';

    $DIRCSS           = DIRCSS;
    $DIRJS            = DIRJ;
    $DOMINIOPRINCIPAL = DOM;
    $FORMULARIO       = $form_action;
    $LANG_SV          = substr($lang, 0, 2);
    $LOCALIZADOR      = $_POST['localizador'];

    require_once DIRLANGUAGETEMPLATES . "anular/segundo_paso.ctp";
}

